org.deidentifier.arx.framework.check.groupify

## Class HashGroupifyEntry

- java.lang.Object
- - org.deidentifier.arx.framework.check.groupify.HashGroupifyEntry

    public class HashGroupifyEntry
    extends java.lang.Object

Implements an equivalence class.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`int` `count` The number of elements in this class.
`Distribution[]` `distributions` Frequency set for other attributes *.
`int` `hashcode` The hashcode of this class.
`boolean` `isNotOutlier` Is this class not an outlier?.
`HashGroupifyEntry` `next` The next element in this bucket.
`HashGroupifyEntry` `nextOrdered` The overall next element in original order.
`int` `pcount` The number of elements in this class.
`int` `representative` The index of the representative row.
`int` `row` The key of this class.

### Constructor Summary

Constructors
Constructor and Description
`HashGroupifyEntry(DataMatrix matrix, int row, int hash)` Creates a new entry.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()` Return has next
`int` `next()` Return next value
`void` `read()` Initialize iterator

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### count

    public int count

The number of elements in this class. Excluding elements from the public table.

#### pcount

    public int pcount

The number of elements in this class. Including elements from the public table

#### hashcode

    public final int hashcode

The hashcode of this class.

#### row

    public final int row

The key of this class.

#### next

    public HashGroupifyEntry next

The next element in this bucket.

#### nextOrdered

    public HashGroupifyEntry nextOrdered

The overall next element in original order.

#### representative

    public int representative

The index of the representative row.

#### isNotOutlier

    public boolean isNotOutlier

Is this class not an outlier?.

#### distributions

    public Distribution[] distributions

Frequency set for other attributes *.

### Constructor Detail

#### HashGroupifyEntry

    public HashGroupifyEntry(DataMatrix matrix,
                             int row,
                             int hash)

Creates a new entry.

Parameters:
  `matrix` - the matrix
  `row` - the row
  `hash` - the hash

### Method Detail

#### hasNext

    public boolean hasNext()

Return has next

Returns:

#### next

    public int next()

Return next value

Returns:

#### read

    public void read()

Initialize iterator